### Method

# Goa Manager complete_is_supported_provider

#### Declaration [src]

    void
    goa_manager_complete_is_supported_provider (
      GoaManager* object,
      GDBusMethodInvocation* invocation,
      gboolean is_supported
    )

#### Description [src]

Helper function used in service implementations to finish handling invocations of the IsSupportedProvider() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation`, you cannot use it afterwards.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`is_supported`

  Type: `gboolean`

  Parameter to return.